#include <iostream>
using namespace std;

int main()
{
    int x, y, a, b;

    scanf("%d %d", &a, &b); // spojlovan rezultat
    scanf("%d %d", &x, &y); // trenutni rezultat

    if ((a == x) && (b == y)) printf("nijedan");
    else if ((a == x) && (b > y)) printf("drugi");
    else if ((a > x) && (b == y)) printf("prvi");
    else if ((a != x) && (b != y)) printf("?");
}